Bug 171448 - Speedometer: Add an ES2015 TodoMVC implementation
Summary: Speedometer: Add an ES2015 TodoMVC implementation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Addy Osmani
URL:
Keywords:
Depends on:
Blocks: 170513
  Show dependency treegraph
 
Reported: 2017-04-28 13:51 PDT by Addy Osmani
Modified: 2017-05-11 20:02 PDT (History)
5 users (show)

See Also:


Attachments
Patch (652.87 KB, patch)
2017-04-28 13:57 PDT, Addy Osmani
no flags Details | Formatted Diff | Diff
Patch (63.63 KB, patch)
2017-04-28 17:43 PDT, Addy Osmani
no flags Details | Formatted Diff | Diff
Patch (59.33 KB, patch)
2017-05-11 19:15 PDT, Addy Osmani
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Addy Osmani 2017-04-28 13:51:20 PDT
As part of Speedometer 2.0 (https://bugs.webkit.org/show_bug.cgi?id=170513), add an ES2015 TodoMVC implementation that uses native classes, template literals, fat-arrows and other modern JS features. This allows the benchmark to independently track both strict ES5 code (we have an ES5 vanilla implem) as well as more modern code in an untranspiled form.
Comment 1 Addy Osmani 2017-04-28 13:57:36 PDT
Created attachment 308593 [details]
Patch
Comment 2 Addy Osmani 2017-04-28 17:43:19 PDT
Created attachment 308634 [details]
Patch
Comment 3 Ryosuke Niwa 2017-05-08 23:22:05 PDT
Comment on attachment 308634 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=308634&action=review

> PerformanceTests/ChangeLog:7
> +        Reviewed by NOBODY (OOPS!).
> +        Adds ES2015 TodoMVC implementation for Speedometer

Again, please add a blank line between Reviewed by and this description.

> PerformanceTests/ChangeLog:11
> +        (html,):

And remove these inline comments since we're just importing files and not adding any inline comments.
Comment 4 Addy Osmani 2017-05-11 19:15:22 PDT
Created attachment 309847 [details]
Patch
Comment 5 Addy Osmani 2017-05-11 19:17:50 PDT
Addressed comments. PTAL when you get a chance.
Comment 6 Ryosuke Niwa 2017-05-11 19:52:47 PDT
Comment on attachment 309847 [details]
Patch

Clearing flags on attachment: 309847

Committed r216718: <http://trac.webkit.org/changeset/216718>
Comment 7 Ryosuke Niwa 2017-05-11 19:52:48 PDT
All reviewed patches have been landed.  Closing bug.